package com.ygtx.gxt.domain;

import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 设备运行时长对象 gxt_device_runtime
 *
 * @author ruoyi
 * @date 2025-11-17
 */
public class GxtDeviceRuntime extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 设备ID */
    @Excel(name = "设备ID")
    private Long deviceId;

    private Long deptId;

    /** 最后一次工单 */
    @Excel(name = "最后一次工单")
    private String workOrderProjectNo;

    /** 最后一次故障时间 */
    @Excel(name = "最后一次故障时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date faultTime;

    /** 上次维保时间 */
    @Excel(name = "上次维保时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date prevWbtime;

    /** 统计时间 */
    @Excel(name = "统计时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date statTime;

    /** 统计月份 */
    @Excel(name = "统计月份")
    private String monthPeriod;

    /** 分数 */
    @Excel(name = "分数")
    private BigDecimal scroe;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    private Long repairOrderId;

    private Long workOrderId;

    /**
     * 0未知，1维修，2维保
     */
    private Integer orderType;

    private Long scoreId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setWorkOrderProjectNo(String workOrderProjectNo)
    {
        this.workOrderProjectNo = workOrderProjectNo;
    }

    public String getWorkOrderProjectNo()
    {
        return workOrderProjectNo;
    }
    public void setFaultTime(Date faultTime)
    {
        this.faultTime = faultTime;
    }

    public Date getFaultTime()
    {
        return faultTime;
    }
    public void setPrevWbtime(Date prevWbtime)
    {
        this.prevWbtime = prevWbtime;
    }

    public Date getPrevWbtime()
    {
        return prevWbtime;
    }
    public void setStatTime(Date statTime)
    {
        this.statTime = statTime;
    }

    public Date getStatTime()
    {
        return statTime;
    }
    public void setMonthPeriod(String monthPeriod)
    {
        this.monthPeriod = monthPeriod;
    }

    public String getMonthPeriod()
    {
        return monthPeriod;
    }
    public void setScroe(BigDecimal scroe)
    {
        this.scroe = scroe;
    }

    public BigDecimal getScroe()
    {
        return scroe;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public Long getRepairOrderId() {
        return repairOrderId;
    }

    public void setRepairOrderId(Long repairOrderId) {
        this.repairOrderId = repairOrderId;
    }

    public Long getWorkOrderId() {
        return workOrderId;
    }

    public void setWorkOrderId(Long workOrderId) {
        this.workOrderId = workOrderId;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Long getScoreId() {
        return scoreId;
    }

    public void setScoreId(Long scoreId) {
        this.scoreId = scoreId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceId", getDeviceId())
            .append("workOrderProjectNo", getWorkOrderProjectNo())
            .append("faultTime", getFaultTime())
            .append("prevWbtime", getPrevWbtime())
            .append("statTime", getStatTime())
            .append("monthPeriod", getMonthPeriod())
            .append("scroe", getScroe())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}